# Image crop

An action block that crops an image.

The fiber will pause until the image operation has finished.

This block will modify the bitmap held in memory by the fiber, as loaded by a prior Image load block.

## Input arguments

- Crop left — number of pixels to crop off the left side of the image, default is 0.
- Crop top — number of pixels to crop off the top of the image, default is 0.
- Cropped width — number of pixels to keep to the right of crop left, default all.
- Cropped height — number of pixels to keep below the crop top, default all.

## Output variables

- Result width — variable to assign the width of the bitmap after it’s been cropped, i.e. cropped width, in pixels.
- Result height — variable to assign the height of the bitmap after it’s been cropped, i.e. cropped height, in pixels.